PWD(1)

NAME
pwd - return working directory name

SYNOPSIS
pwd [-LP]

DESCRIPTION
pwd writes the absolute pathname of the current working directory to the standard output.

The pwd utility exits 0 on success, and >0 if an error occurs.

The following options are available:

-L  Print the logical path to the current working directory, as defined by the shell in the evironment variable PWD.

-P  Print the physical path to the current working directory, with symbolic links in the path resolved. This is the default.

STANDARDS
The pwd utility is expected to be p1003.2 compatible.

SEE ALSO
cd(1), csh(1), getcwd(3)

BUGS
In csh(1) the command dirs is always faster (although it can give a different answer in the rare case that the current directory or a containing directory was moved after the shell descended into it).